## org.apache.lucene.benchmark.byTask.tasks
Class DeleteDocTask

    java.lang.Object
      org.apache.lucene.benchmark.byTask.tasks.PerfTask
          org.apache.lucene.benchmark.byTask.tasks.DeleteDocTask

All Implemented Interfaces:
  Cloneable

    public class DeleteDocTask

extends PerfTask

Delete a document by docid.
Other side effects: none.
Relevant properties: `doc.delete.log.step , doc.delete.step`.
If no docid param is supplied, deletes doc with `id = last-deleted-doc + doc.delete.step`.
Takes optional param: document id.

Field Summary
`static int` `DEFAULT_DELETE_DOC_LOG_STEP` Default value for property `doc.delete.log.step`- indicating how often an "deleted N docs" message should be logged.``
`static int` `DEFAULT_DOC_DELETE_STEP` Gap between ids of deleted docs, applies when no docid param is provided.

Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`NEW_LINE, params`

Constructor Summary
`DeleteDocTask(PerfRunData runData)`

Method Summary
`int` `doLogic()` Perform the task once (ignoring repetions specification) Return number of work items done by this task.
`void` `setParams(String params)` Set the params (docid only)
`void` `setup()` Task setup work that should not be measured for that specific task.
`boolean` `supportsParams()` Sub classes that supports parameters must overide this method to return true.
`void` `tearDown()` Task tearDown work that should not be measured for that specific task.

Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`clone, getDepth, getName, getParams, getRunData, isDisableCounting, runAndMaybeStats, setDepth, setDisableCounting, setName, shouldNeverLogAtStart, shouldNotRecordStats, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_DOC_DELETE_STEP

    public static final int DEFAULT_DOC_DELETE_STEP

  Gap between ids of deleted docs, applies when no docid param is provided.

  See Also:
    Constant Field Values

### DEFAULT_DELETE_DOC_LOG_STEP

    public static final int DEFAULT_DELETE_DOC_LOG_STEP

  Default value for property `doc.delete.log.step`- indicating how often an "deleted N docs" message should be logged.

  See Also:
    Constant Field Values
  ``

Constructor Detail

### DeleteDocTask

    public DeleteDocTask(PerfRunData runData)

Method Detail

### doLogic

    public int doLogic()
                throws Exception

  Description copied from class: `PerfTask`
  Perform the task once (ignoring repetions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.

  Specified by:
    `doLogic` in class `PerfTask`
  Returns:
    number of work items done by this task.
  Throws:
    `Exception`

### setup

    public void setup()
               throws Exception

  Description copied from class: `PerfTask`
  Task setup work that should not be measured for that specific task. By default it does nothing, but tasks can implement this, moving work from doLogic() to this method. Only the work done in doLogicis measured for this task. Notice that higher level (sequence) tasks containing this task would then measure larger time than the sum of their contained tasks.

  Overrides:
    `setup` in class `PerfTask`
  Throws:
    `Exception`

### tearDown

    public void tearDown()
                  throws Exception

  Description copied from class: `PerfTask`
  Task tearDown work that should not be measured for that specific task. By default it does nothing, but tasks can implement this, moving work from doLogic() to this method. Only the work done in doLogicis measured for this task. Notice that higher level (sequence) tasks containing this task would then measure larger time than the sum of their contained tasks.

  Overrides:
    `tearDown` in class `PerfTask`
  Throws:
    `Exception`

### setParams

    public void setParams(String params)

  Set the params (docid only)

  Overrides:
    `setParams` in class `PerfTask`
  Parameters:
    `params` - docid to delete, or -1 for deleting by delete gap settings.

### supportsParams

    public boolean supportsParams()

  Description copied from class: `PerfTask`
  Sub classes that supports parameters must overide this method to return true.

  Overrides:
    `supportsParams` in class `PerfTask`
  Returns:
    true iff this task supports command line params.

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.